%global uuid fedmsg@lmacken-redhat.com
%global commit 2fa7c97742cd1b93950bf0ca628647aebe94e079
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gnome-shell-extension-fedmsg
Version:        0.1.6
Release:        1%{?dist}
Summary:        A gnome-shell extension for enabling fedmsg desktop notifications

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/lmacken/%{name}
Source0:        https://github.com/lmacken/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch:      noarch

Requires:       gnome-shell >= 3.10
Requires:       fedmsg-notify


%description
This is a GNOME shell extension that allows you to easily toggle and configure
the fedmsg-notify service.


%prep
%setup -q -n %{name}-%{commit}


%build
# Nothing to build


%install
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/
install -m 0644 extension.js %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/extension.js
install -m 0644 metadata.json %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/metadata.json
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 img/fedmsg-notify.png %{buildroot}%{_datadir}/pixmaps/fedmsg-notify.png


%files
%doc LICENSE README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_datadir}/pixmaps/fedmsg-notify.png


%changelog
* Thu Jan 09 2014 Luke Macken <lmacken@redhat.com> - 0.1.6-1
- Updated to work with gnome-shell 3.10
- Fixed GitHub Source URL

* Tue Oct 08 2013 Luke Macken <lmacken@redhat.com> - 0.1.5-2
- Updated source URL

* Fri Aug 23 2013 Luke Macken <lmacken@redhat.com> - 0.1.5-1
- Update to 0.1.5 bugfix release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 03 2013 Luke Macken <lmacken@redhat.com> - 0.1.4-1
- Updated extension metadata for GNOME 3.8

* Thu Mar 07 2013 Luke Macken <lmacken@redhat.com> - 0.1.3-1
- Updated extension metadata for GNOME 3.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Luke Macken <lmacken@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Jan 10 2013 Luke Macken <lmacken@redhat.com> - 0.1.1-1
- New release with updated extension metadata to get it working with 3.6.x

* Thu Oct 11 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-3
- Require fedmsg-notify
- Include the license in the package
- Removed some legacy RPM cruft
- Fixed the Source0

* Wed Oct 10 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-2
- Fixed the URL

* Mon Oct  8 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-1
- Initial package
